unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Comobj;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    Button1: TButton;
    Button2: TButton;
    OpenDialog1: TOpenDialog;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    ShowMessage(OpenDialog1.FileName + ' selected!');
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  doc, layout: Variant;
  i: integer;
  str: string;
begin
  if OpenDialog1.FileName = '' then
  begin
    ShowMessage('please select a tiff image file first!');
    exit;
  end;
  doc := CreateOleObject('MODI.Document');
  doc.Create(OpenDialog1.FileName);
  // miLANG_CHINESE_TRADITIONAL = 1028
  // miLANG_CHINESE_SIMPLIFIED = 2052
  // miLANG_SYSDEFAULT = 2048
  Screen.Cursor := crHourGlass;
  doc.OCR(1028);
  Screen.Cursor := crDefault;
  for i:=0 to doc.Images.Count - 1 do
  begin
    str := str + doc.Images.Item[i].Layout.Text;
  end;
  Memo1.Lines.Text := str;

  ShowMessage('Finished!');

  doc.Close;
  doc := UnAssigned;

end;

end.
